Mailboxes
Resume a mailbox send
Resumes the same action only after its previous execution is confirmed ended and safe continuation is possible.
Resumes the same action only after its previous execution is confirmed ended and safe continuation is possible. Only an authorized person who proposed the send or can approve actions may retry. Automatic waits need no manual Retry. This does not grant new approval, reset the original deadline, replace the message identity, or resubmit an accepted or uncertain send.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^mbx_[0-9a-hjkmnp-tv-z]{16,24}$actionId*string
Match
^mbxact_[0-9a-hjkmnp-tv-z]{16,24}$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/mailboxes/string/actions/string/retry"{ "actionId": "string", "draftId": "string", "messageId": "string", "threadId": "string", "state": "approvalRequired", "acceptedAt": "string", "waitReason": "rate", "reviewExpectedAt": "string", "skippedRecipients": [ { "address": "string", "reason": "bounce", "unsubscribeGroupId": "string" } ], "executeUntil": "string", "retryAt": "string", "problem": { "code": "string", "message": "string", "error": { "_tag": "SenderNotReadyError", "message": "string", "sender": "string", "retryAfterSeconds": 0 } }, "retryEligible": true, "decision": { "outcome": "allow", "reason": "string", "policyId": "string", "source": "grant", "decidedAt": "string" }, "createdAt": "string", "updatedAt": "string"}